import { useCallback, useEffect, useRef, useState } from "react";
import { DisplayNameChangeEvent } from "../background/jitsi/eventListeners";

function useJitsiEventCapture(displayNameChangeHandler: Function) {
  const [displayNameChangeEvent, setDisplayNameChangeEventLocal] =
    useState<DisplayNameChangeEvent>();

  const setDisplayNameChangeEvent = useCallback(
    (newValue: DisplayNameChangeEvent) => {
      console.log("[Rooms] newValue", newValue, displayNameChangeEvent);
      if (displayNameChangeEvent != newValue) {
        setDisplayNameChangeEventLocal(newValue);
      }
    },
    [setDisplayNameChangeEventLocal]
  );

  useEffect(() => {
    console.log("[Rooms] displayNameChangeHandler", displayNameChangeEvent);
    displayNameChangeHandler &&
      displayNameChangeEvent &&
      displayNameChangeHandler(displayNameChangeEvent);
  }, [displayNameChangeEvent]);

  return { setDisplayNameChangeEvent };
}

export default useJitsiEventCapture;
